Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ValueModifier.pidl File Reference

## Namespaces
namespace | CORBA
## Variables
const ValueModifier | VM_NONE = 0
const ValueModifier | VM_CUSTOM = 1
const ValueModifier | VM_ABSTRACT = 2
const ValueModifier | VM_TRUNCATABLE = 3

## Detailed Description

Id
  ValueModifier.pidl,v 1.5 2005/04/12 08:32:44 jwillemsen Exp

This file was used to generate the code in ValueModifierC.* The command used to generate code is:

tao_idl -o orig -Ge 1 -Sc -SS -Sci -St -Wb,export_macro=TAO_Export -Wb,export_include="tao/TAO_Export.h" -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" ValueModifier.pidl

## Variable Documentation

const CORBA::ValueModifier CORBA::VM_ABSTRACT = 2

const CORBA::ValueModifier CORBA::VM_CUSTOM = 1

const CORBA::ValueModifier CORBA::VM_NONE = 0

const CORBA::ValueModifier CORBA::VM_TRUNCATABLE = 3